package com.iflytek.cloud;


/**
 * <h3>语法构建回调接口</h3>
 * <p>通过实现此接口，获取语法上传的状态</p>
 * @since version:1073
 * @author <script>gShowAuthor();</script>
 * @see SpeechRecognizer#buildGrammar
 */
public abstract interface GrammarListener {

	/**
	* <h4>语法构建结束回调</h4>
	* @param grammarId 语法ID,将用于在语法识别时，设置语法参数
	* @param error 错误信息，null时表示成功，其他值则有错误 ，详细错误码请看{@link ErrorCode}
	* @see SpeechRecognizer#startListening
	* @see SpeechConstant#CLOUD_GRAMMAR
	* @see SpeechError
	* @see ErrorCode
	*/
	void onBuildFinish(String grammarId,SpeechError error);
}
