package com.iflytek.cloud;

/**
 * <h3>初始化回调接口</h3>
 * <p>
 * 		初始化单例对象时，通过此回调接口，获取初始化状态。
 * </p>
 * 
 * @author <script>gShowAuthor();</script>
 * @since version:1073
 */
public abstract interface InitListener {
	/**
	 * <h4>初始化结束回调</h4>
	 * <p>
	 * 		初始化结束时，回调此接口通知应用层，初始的状态。若参数1的错误码值为
	 * {@link ErrorCode#SUCCESS}，则初始化成功；否则，初始化失败，不能使用单例。
	 * 初始化失败时，可通过错误码，向{@link ErrorCode}类查找错误码表示的原因，进
	 * 行相应的处理。
	 * </p>
	 * @param errorCode 错误码，0表示成功，详细错误码请看{@link ErrorCode}
	 */
	void onInit(int errorCode);
}
