/*
 * 文件名：RecognizerDialogListener.java 2.5.1027.1040 Dec 11,2013
 * 描述 ：识别回调监听器，包括识别结果回调和识别结束回调
 * 作者:iFLytek
 * 版权：科大讯飞 
 */
package com.iflytek.cloud.ui;

import com.iflytek.cloud.RecognizerResult;
import com.iflytek.cloud.SpeechError;
/**
 * <h3>识别对话框监听器</h3>
 * <p>
 * 		通过实现此接口，获取识别对话框识别过程的结果和错误信息。
 * </p>
 * @author <script>gShowAuthor();</script>
 * @since version:1073
 * @see RecognizerDialog
 * @see com.iflytek.cloud.RecognizerListener
 */
public abstract interface RecognizerDialogListener {

	/**
	 * <h4>结果回调</h4>
	 * <p>
	 * 		请参考{@link com.iflytek.cloud.RecognizerListener#onResult} 说明。
	 * </p>
	 * @param result  识别结果
	 * @param isLast  是否是最后一次返回结果
	 * 
	 * @see com.iflytek.cloud.RecognizerListener#onResult
	 * @see com.iflytek.cloud.RecognizerResult
	 */
	public void onResult(RecognizerResult result,boolean isLast);
	
	/**
	 * <h4>错误回调</h4>
	 * <p>
	 * 		请参考{@link com.iflytek.cloud.RecognizerListener#onError}说明。
	 * </p>
	 * @param error 错误信息
	 * 
	 * @see com.iflytek.cloud.RecognizerListener#onError
	 * @see com.iflytek.cloud.SpeechError
	 */
	public void onError(SpeechError error);
}
